GET
/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupons2609170000[立减优惠券] 查看优惠券列表 (status)
# 01
简介
[立减优惠券] 查看优惠券列表 (status)
# 02
详细内容
API支持的买家用户地区:韩国
该API用于按照优惠券状态查看创建的优惠券。
路径
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupons
示例端点
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/coupons?status=APPLIED&page=1&size=10&sort=desc# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 ex) A00012345 |
# 04
Query 参数
| Name | Type | Description |
|---|---|---|
| status* | string | 优惠券状态 (STANDBY, APPLIED, PAUSED, EXPIRED, DETACHED)
|
| page | number | 页面: 默认值1 调用下一页的关键值。调用第一页时,不要输入或输入'1' |
| size | number | 每页件数
|
| sort | string | 排序值 (asc, desc) 默认升序(ascending) |
# 05
响应体
响应消息
| Name | Type | Description |
|---|---|---|
| code | integer | 服务器响应代码
|
| message | string | 服务器响应信息
|
| httpStatus | integer | HTTP
|
| httpStatusMessage | string | HTTP 状态信息 (与服务器响应信息的值相同)
|
| errorMessage | string | 除HTTP Status 200以外,剩下Status 中包含服务器详细失败原因信息。
|
| data | object | 优惠券列表数据
|
| success data.success | boolean | 成功与否 true or false |
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": [
{
"contractId": 63,
"vendorContractId": null,
"promotionName": null,
"couponId": 2246326,
"status": "APPLIED",
"type": "RATE",
"maxDiscountPrice": 40000,
"discount": 30,
"startAt": "2018-04-03 15:00:00",
"endAt": "2018-04-05 23:59:00",
"wowExclusive": "false"
},
{
"contractId": 63,
"vendorContractId": null,
"promotionName": null,
"couponId": 2245939,
"status": "APPLIED",
"type": "RATE",
"maxDiscountPrice": 30000,
"discount": 20,
"startAt": "2018-04-02 18:37:00",
"endAt": "2018-04-05 23:59:00",
"wowExclusive": "false"
},
{
"contractId": 63,
"vendorContractId": null,
"promotionName": null,
"couponId": 2121942,
"status": "APPLIED",
"type": "RATE",
"maxDiscountPrice": 10000,
"discount": 5,
"startAt": "2018-03-30 00:01:00",
"endAt": "2018-04-06 23:59:00",
"wowExclusive": "false"
}
],
"pagination": {
"currentPage": 1,
"countPerPage": 10,
"totalPages": 1,
"totalElements": 3
}
}
}# 06
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 (check request parameter) | 请确认卖家权限 | 查看卖家ID(vendorid)值是否输入正确 |
| 400 | 400 (check request parameter) | 页面索引不得小于0! | 查看是否输入了正确的页面(page)值。 |